#!/usr/bin/perl -w
#
# Variable file

$NG = 0;

#debugging variable
$debug=0;

#author credits
$author="feb 2003 jasper\@WirelessLeiden.NL \| maart 2005 rick\@WirelessLeiden.NL";

#filelist
@filelist = ();
$filelist[0]="dhcpd.conf";
$filelist[1]="rc.node.local";
$filelist[2]="resolv.conf";
$filelist[3]="named.conf";
$filelist[4]="txtconfig";
$filelist[5]="authorized_keys";

#Ignore this node diretories
%removefromnodelist = (
                      'retired' => 'YES',
                      'obsolete' => 'YES',
                       );

#(inter)net env
if( defined $ENV{'SERVER_NAME'} ) {
  $hostname=$ENV{'SERVER_NAME'};
}
else {
  $hostname=`hostname`;
};

chomp($hostname);
$cgi_dir="http://$hostname/freebsd/6.0";
$source="$cgi_dir/g_list.pl";

#path variablen
$home="/usr/local/www/wlconfig.wirelessleiden.nl";
$ndir="$home/nodes";
$toolfile="$home/freebsd/6.0/wleiden.pl";


#exec vars
$svn="/usr/local/bin/svn";
$wicontrol='/usr/sbin/wicontrol';

#naming vars
$configfile="wleiden.conf";

#module IP.pm
$IP_pmPath="$home/tools/IP.pm";

#dnsheader.conf
$dnsheader_confPath="$home/dns/dnsheader.conf";


## ssh key variablen ##
#global ssh_keys
$global_keyPath="$home/nodes/global_keys";
#node specific
$ssh_file='ssh_key'

